@import "../../../../styles/colors";

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

li {
  display: flex;
  min-height: 46px;
  margin-top: -1px;
  padding: 7px 0;
  border-top: 1px solid $color-botticelli;
  border-bottom: 1px solid $color-botticelli;
  overflow: hidden;
  text-overflow: ellipsis;
  align-items: center;
  page-break-inside: avoid;
  // Chrome wasn't showing the trash can on the left column. The thread links to a reported Chrome bug.
  // https://stackoverflow.com/questions/28595742/chrome-bug-content-not-rendering-multi-columns-properly/28618965#comment48539040_28618965
  transform: translateZ(0);

  &:first-child {
    margin-top: 0;
  }

  &:last-child {
    border-bottom: 1px solid $color-botticelli;
  }

  &.pending {
    font-style: italic;
  }
}

.name {
  flex: 1;
  overflow: hidden;
  text-overflow: ellipsis;
}

.info-and-action {
  // margin-top: -6px;
  // float: right;
}

app-badge {
  margin-right: 5px;
  vertical-align: 6px;
}

button {
  width: 30px;
  height: 30px;
  padding: 5px;
  fill: $color-gothic;
  transition: fill 0.2s;
  cursor: pointer;

  &:hover {
    fill: $color-brick-red;
  }

  svg {
    width: 20px;
    height: 20px;
  }
}
